class-transformer 输入验证错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1982753 漏洞类型 输入验证错误
发布时间 2020-04-06 更新时间 2020-08-06
CVE编号 CVE-2020-7637 CNNVD-ID CNNVD-202004-152
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-202004-152
|漏洞详情
class-transformer是一款能够将JavaScript对象转换/序列化/反序列化到类构造函数的软件包。 class-transformer 0.3.1之前版本中存在输入验证错误漏洞。该漏洞源于网络系统或产品未对输入的数据进行正确的验证。
|参考资料

来源:MISC

链接:https://snyk.io/vuln/SNYK-JS-CLASSTRANSFORMER-564431


来源:MISC

链接:https://github.com/typestack/class-transformer/blob/a650d9f490573443f62508bc063b857bcd5e2525/src/ClassTransformer.ts#L29-L31


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-7637